Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## org.gradle.plugins.ear
[Groovy] Class Ear

    java.lang.Object
      org.gradle.api.internal.ConventionTask
          org.gradle.api.tasks.AbstractCopyTask
              org.gradle.api.tasks.bundling.AbstractArchiveTask
                  org.gradle.api.tasks.bundling.Zip
                      org.gradle.api.tasks.bundling.Jar
                          org.gradle.plugins.ear.Ear

    class Ear
    extends Jar

Assembles an EAR archive.

Field Summary
`static String` | `EAR_EXTENSION`

Fields inherited from class Jar
DEFAULT_EXTENSION

Fields inherited from class Zip
ZIP_EXTENSION

Property Summary
`DeploymentDescriptor` | `deploymentDescriptor` The deployment descriptor configuration.
`String` | `libDirName` The name of the library directory in the EAR file.

Constructor Summary
`Ear()`

Method Summary
`Ear` | `deploymentDescriptor(Closure configureClosure)` Configures the deployment descriptor for this EAR archive.
`CopySpec` | `getLib()` A location for dependency libraries to include in the 'lib' directory of the EAR archive.
`CopySpec` | `lib(Closure configureClosure)` Adds dependency libraries to include in the 'lib' directory of the EAR archive.

Methods inherited from class Jar
getManifest, getMetaInf, manifest, metaInf, setManifest

Methods inherited from class Zip
createCopyAction, getCompressor, getEntryCompression, setEntryCompression

Methods inherited from class AbstractArchiveTask
getAppendix, getArchiveName, getArchivePath, getBaseName, getClassifier, getDestinationDir, getExtension, getVersion, into, into, setAppendix, setArchiveName, setBaseName, setClassifier, setDestinationDir, setExtension, setVersion

Methods inherited from class AbstractCopyTask
configureRootSpec, copy, createCopyAction, createRootSpec, eachFile, eachFile, exclude, exclude, exclude, exclude, expand, filesMatching, filesNotMatching, filter, filter, filter, from, from, getDefaultSource, getDirMode, getDuplicatesStrategy, getExcludes, getFileMode, getIncludeEmptyDirs, getIncludes, getMainSpec, getRootSpec, getSource, include, include, include, include, into, into, isCaseSensitive, rename, rename, rename, setCaseSensitive, setDirMode, setDuplicatesStrategy, setExcludes, setFileMode, setIncludeEmptyDirs, setIncludes, with

Field Detail

### EAR_EXTENSION

    public static final String EAR_EXTENSION

Property Detail

### deploymentDescriptor

    DeploymentDescriptor deploymentDescriptor

  The deployment descriptor configuration.

### libDirName

    String libDirName

  The name of the library directory in the EAR file. Default is "lib".

Constructor Detail

### Ear

    Ear()

Method Detail

### deploymentDescriptor

    Ear deploymentDescriptor(Closure configureClosure)

  Configures the deployment descriptor for this EAR archive.

  The given closure is executed to configure the deployment descriptor. The DeploymentDescriptor is passed to the closure as its delegate.

  Parameters:
    `configureClosure` - The closure.
  Returns:
    This.

### getLib

    CopySpec getLib()

  A location for dependency libraries to include in the 'lib' directory of the EAR archive.

### lib

    CopySpec lib(Closure configureClosure)

  Adds dependency libraries to include in the 'lib' directory of the EAR archive.

  The given closure is executed to configure a `CopySpec`. The CopySpec is passed to the closure as its delegate.

  Parameters:
    `configureClosure` - The closure.
  Returns:
    The created `CopySpec`

Gradle API 1.10